Subject: bug#16481: dfa.c and Rational Range Interpretation

From: Paul Eggert <[email-masked]>
Date: Tue, 21 Jan 2014 13:50:26 -0800

On 01/21/2014 08:50 AM, Jim Meyering wrote:
> I was expecting
> to apply it, along with another small change and a test, but now, feel
> like I'll have to justify it with some performance data as well.

Ouch, I wasn't intending to make work for you!  Even if the patch in 
<http://bugs.gnu.org/16481#14> didn't improve performance, it makes grep 
simpler and that should be a win.  Norihiro Tanaka's patch (which I'd 
forgotten about, but which is presumably better) also simplifies grep, 
so you shouldn't need to do a performance analysis to verify that it's a 
good idea.